"""
ascii_art.py - ASCII art for vfetch
"""

# Default ASCII art (vfetch logo - more elaborate)
DEFAULT_ASCII = """
    ██╗   ██╗███████╗███████╗████████╗ ██████╗██╗  ██╗
    ██║   ██║██╔════╝██╔════╝╚══██╔══╝██╔════╝██║  ██║
    ██║   ██║█████╗  █████╗     ██║   ██║     ███████║
    ╚██╗ ██╔╝██╔══╝  ██╔══╝     ██║   ██║     ██╔══██║
     ╚████╔╝ ██║     ███████╗   ██║   ╚██████╗██║  ██║
      ╚═══╝  ╚═╝     ╚══════╝   ╚═╝    ╚═════╝╚═╝  ╚═╝
"""

# Linux penguin (enhanced)
LINUX_ASCII = """
       .--.       
      |o_o |      
      |:_/ |      
     //   \\ \\     
    (|     | )    
   /''\\_   _/`\\   
   \\___)=(___/    
      /_\\/_\\      
     /_/\\_\\_\\     
"""

# Mac apple logo (enhanced)
MAC_ASCII = """
       .::::::.       
     .:::::::::::     
   .::::::::::::::.   
  ::::::::::::::::: ® 
  ::::::::::::::::.   
   `:::::::::::::´    
     `::::::::´       
       `:::´          
"""

# Windows logo (enhanced)
WINDOWS_ASCII = """
     ████████████████     
     ████████████████     
     ████████████████     
     ████      ████       
     ████      ████       
     ████      ████       
     ████      ████       
     ████      ████       
"""

# BSD daemon (enhanced)
BSD_ASCII = """
       /\\.-./\\        
      /| o_o |\\       
     /{| -.^ |}\\      
     \\\\|  U  |//      
      '\\\\___//'       
      /==●==\\         
     /   ◍   \\        
    /__________\\      
"""

# Python logo (enhanced)
PYTHON_ASCII = """
       ⠀⠀⠀⠀⣠⣶⡾⠏⠉⠙⠳⢦⡀⠀⠀⠀⢠⠞⠉⠙⠲⡀⠀
       ⠀⠀⠀⣴⠿⠏⠀⠀⠀⠀⠀⠀⢳⡀⠀⡏⠀⠀⠀⠀⠀⢷
       ⠀⠀⢠⣟⣋⡀⢀⣀⣀⡀⠀⣀⡀⣧⠀⢸⠀⠀⠀⠀⠀ ⡇
       ⠀⠀⢸⣯⡭⠁⠸⣛⣟⠆⡴⣻⡲⣿⠀⣸⠀Python⠀ ⡇
       ⠀⠀⣟⣿⡭⠀⠀⠀⠀⠀⢱⠀⠀⣿⠀⢹⠀⠀⠀⠀⠀ ⡇
       ⠀⠀⠙⢿⣯⠄⠀⠀⠀⢀⡀⠀⠀⡿⠀⠀⡇⠀⠀⠀⠀⡼
       ⠀⠀⠀⠀⠹⣶⠆⠀⠀⠀⠀⠀⡴⠃⠀⠀⠘⠤⣄⣠⠞⠀
       ⠀⠀⠀⠀⠀⢸⣷⡦⢤⡤⢤⣞⣁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
       ⠀⠀⢀⣤⣴⣿⣏⠁⠀⠀⠸⣏⢯⣷⣖⣦⡀⠀⠀⠀⠀⠀⠀
       ⢀⣾⣽⣿⣿⣿⣿⠛⢲⣶⣾⢉⡷⣿⣿⠵⣿⠀⠀⠀⠀⠀⠀
"""

# Space-themed art
SPACE_ASCII = """
        .  . *  . . * .  *  . .  . .  *  .
      .  * .     .  * .     . .    .. . . 
        *   * .    . *   .    *   *   .  *
     .    .    .  *    .   .      . *  .   
    .   *    .   ◓    .      * .    . * . 
   *   .   *     ───       .      * .     .
  .  *  .    .    .     * . . .  .  .. *  .
      .    * . . .     ˙˙   .  *  .  . * . 
     *      .    .  .    . *   .    *   *  
   .   *  . *  .    .     .. . . .       . 
"""

# Circuit board design
CIRCUIT_ASCII = """
     ┌─┐┌─┐┌─┐   ┌─┐┌─┐   ┌─┐┌─┐┌─┐┌─┐
     │  └─┐│ │   │  └─┐   │ ││ │└─┐└─┐
     └─┘└─┘└─┘   └─┘└─┘   └─┘└─┘└─┘└─┘
     ◉  ◎  ◎     ◎  ◎     ◎  ◎  ◎  ◎ 
    ╔═══════╗   ╔═════╗   ╔═════════╗
    ║       ║   ║     ║   ║         ║
    ╚═╦═╦═══╝   ╚═╦═══╝   ╚═╦═══════╝
      ║ ║         ║         ║        
    ╔═╩═╩═╗       ╠═══╗     ╠═══╗    
    ║     ║       ║   ║     ║   ║    
    ╚═════╝       ╚═══╝     ╚═══╝    
"""

# Retro computer
RETRO_ASCII = """
     ┌───────────────────────┐
     │  ┌───────────────┐    │
     │  │ vfetch v1.0   │    │
     │  │ >_            │    │
     │  └───────────────┘    │
     │   ┌─┬─┬─┬─┬─┬─┬─┬─┐   │
     │   │1│2│3│4│5│6│7│8│   │
     │   ├─┼─┼─┼─┼─┼─┼─┼─┤   │
     │   │Q│W│E│R│T│Y│U│I│   │
     │   └─┴─┴─┴─┴─┴─┴─┴─┘   │
     └───────────────────────┘
          ______________
         /|            |\\
        / |            | \\
       /__|____________|__\\
       \\/\\//\\//\\//\\//\\//\\/
"""

# Replit ASCII art (enhanced)
REPLIT_ASCII = """
     ██████╗░███████╗██████╗░██╗░░░░░██╗████████╗
     ██╔══██╗██╔════╝██╔══██╗██║░░░░░██║╚══██╔══╝
     ██████╔╝█████╗░░██████╔╝██║░░░░░██║░░░██║░░░
     ██╔══██╗██╔══╝░░██╔═══╝░██║░░░░░██║░░░██║░░░
     ██║░░██║███████╗██║░░░░░███████╗██║░░░██║░░░
     ╚═╝░░╚═╝╚══════╝╚═╝░░░░░╚══════╝╚═╝░░░╚═╝░░░
"""

# Neon style
NEON_ASCII = """
     ▄▄    ▄▄    ▄▄▄▄▄▄▄▄    ▄▄▄▄▄▄▄▄    ▄▄▄▄▄▄▄▄    ▄▄▄▄▄▄    ▄▄
     ██    ██   ██       ██ ██       ██ ██       ██ ██      ██ ██
     ██    ██   ██       ██ ██       ██ ██       ██ ██        ███
     ██    ██    ██▄▄▄▄▄██  ██▄▄▄▄▄▄▄█  ██       ██  ██▄▄▄▄▄   ██
     ██    ██           ██  ██          ██       ██        ██  ██
     ████████    ▄▄▄▄▄▄▄██  ██▄▄▄▄▄▄▄█  ██▄▄▄▄▄▄▄██  ██▄▄▄▄██  ██
"""

# Animal ASCII art
TIGER_ASCII = """
        ▄▀▀▀▀▄   ▄▀▀▄ ▀▄  ▄▀▀█▄▄▄▄  ▄▀▀█▄▄▄▄  ▄▀▀▄▀▀▀▄ 
       █      █ █  █ █ █ ▐  ▄▀   ▐ ▐  ▄▀   ▐ █   █   █ 
       █      █ ▐  █  ▀█   █▄▄▄▄▄    █▄▄▄▄▄  ▐  █▀▀█▀  
       ▀▄    ▄▀   █   █    █    ▌    █    ▌  ▄▀    █   
         ▀▀▀▀    ▄▀   █   ▄▀▄▄▄▄    ▄▀▄▄▄▄   █     █   
                █    ▐    █    ▐    █    ▐   ▐     ▐   
                ▐         ▐         ▐                  
"""

DRAGON_ASCII = """
             /\\
            /  \\
           /    \\      ____      _
          /      \\    |  _ \\ _ (_)
         /  /\\    \\   | | | | | | |
        /  /  \\    \\  | |_| | |_| |
       /  /    \\    \\ |____/ \\__,_|
      /  /      \\    \\
     /__/        \\____\\
"""

OWL_ASCII = """
       ,___,
       [O.o]
       /)__)
       -"--"-
     >o0O(___)Oo<
"""

FOX_ASCII = """
     /\\_/\\  
    / o o \\ 
   (   "   )
    \\~(*)~/  
     // \\\\
"""

# Keycap ASCII art
KEYCAP_ASCII = """
     ┌───┐ ┌───┐ ┌───┐ ┌───┐ ┌───┐ ┌───┐ 
     │ V │ │ F │ │ E │ │ T │ │ C │ │ H │ 
     └───┘ └───┘ └───┘ └───┘ └───┘ └───┘ 
       ┌───┐ ┌───┐ ┌───┐ ┌───┐ ┌───┐
       │ S │ │ Y │ │ S │ │ T │ │ E │
       └───┘ └───┘ └───┘ └───┘ └───┘
     ┌───┐ ┌───┐ ┌───┐ ┌───┐ ┌───┐ ┌───┐ 
     │ I │ │ N │ │ F │ │ O │ │ ! │ │ ⏎ │
     └───┘ └───┘ └───┘ └───┘ └───┘ └───┘ 
"""

# 3D cube ASCII art
CUBE_ASCII = """
          ┌─────────┐
         /│         /│
        / │        / │
       ┌─────────┐  │
       │  │      │  │
       │  │      │  │
       │  └──────┼──┘
       │ /       │ /
       │/        │/
       └─────────┘
"""

# Pixel art
PIXELART_ASCII = """
      ██╗   ██╗██╗
      ██║   ██║██║
      ╚██╗ ██╔╝██║
       ╚████╔╝ ╚═╝
        ╚██╔╝  ██╗
         ██║   ██║
         ╚═╝   ╚═╝
"""

# ASCII art options dictionary
ASCII_OPTIONS = {
    "default": DEFAULT_ASCII,
    "linux": LINUX_ASCII,
    "mac": MAC_ASCII,
    "windows": WINDOWS_ASCII,
    "bsd": BSD_ASCII,
    "python": PYTHON_ASCII,
    "space": SPACE_ASCII,
    "circuit": CIRCUIT_ASCII,
    "retro": RETRO_ASCII,
    "replit": REPLIT_ASCII,
    "neon": NEON_ASCII,
    "tiger": TIGER_ASCII,
    "dragon": DRAGON_ASCII,
    "owl": OWL_ASCII,
    "fox": FOX_ASCII,
    "keycap": KEYCAP_ASCII,
    "cube": CUBE_ASCII,
    "pixel": PIXELART_ASCII
}