"""
themes.py - Color themes for vfetch
"""

# Define color themes
THEMES = {
    # Default theme with vibrant cyan and blue
    "default": {
        "primary": "bright_cyan",
        "secondary": "bright_blue",
        "accent": "bright_white",
        "border": "cyan"
    },
    
    # Matrix-inspired theme
    "matrix": {
        "primary": "bright_green",
        "secondary": "green",
        "accent": "bright_green",
        "border": "green"
    },
    
    # Dracula theme with dark purples and pinks
    "dracula": {
        "primary": "bright_magenta",
        "secondary": "purple",
        "accent": "bright_purple",
        "border": "magenta"
    },
    
    # Sunset theme with warm oranges and reds
    "sunset": {
        "primary": "bright_yellow",
        "secondary": "yellow",
        "accent": "bright_red",
        "border": "red"
    },
    
    # Ocean theme with blues and cyans
    "ocean": {
        "primary": "bright_blue",
        "secondary": "blue",
        "accent": "bright_cyan",
        "border": "cyan"
    },
    
    # Monochrome theme with grays and whites
    "monochrome": {
        "primary": "bright_white",
        "secondary": "white",
        "accent": "grey74",
        "border": "white"
    },
    
    # Retro theme with 80s-inspired colors
    "retro": {
        "primary": "bright_magenta",
        "secondary": "magenta",
        "accent": "bright_cyan",
        "border": "bright_blue"
    },
    
    # Forest theme with natural greens
    "forest": {
        "primary": "bright_green",
        "secondary": "green",
        "accent": "dark_green",
        "border": "green4"
    },
    
    # Replit theme
    "replit": {
        "primary": "bright_magenta",
        "secondary": "blue",
        "accent": "bright_white",
        "border": "magenta"
    },
    
    # Neon theme with bright, vivid colors
    "neon": {
        "primary": "bright_magenta",
        "secondary": "bright_green",
        "accent": "bright_cyan", 
        "border": "bright_yellow"
    },
    
    # Cyberpunk theme
    "cyberpunk": {
        "primary": "bright_yellow",
        "secondary": "bright_magenta",
        "accent": "bright_cyan",
        "border": "blue"
    },
    
    # Space theme with dark blues and purples
    "space": {
        "primary": "bright_blue",
        "secondary": "blue",
        "accent": "bright_white",
        "border": "bright_magenta"
    },
    
    # Fire theme with hot reds and oranges
    "fire": {
        "primary": "bright_red",
        "secondary": "red",
        "accent": "bright_yellow",
        "border": "yellow"
    },
    
    # Ice theme with cool blues and whites
    "ice": {
        "primary": "bright_white",
        "secondary": "white",
        "accent": "bright_cyan",
        "border": "blue"
    }
}